Subject: bug#17879: 24.3.92; package-refresh-contents hangs at contacting host melpa.milbox.net:80

From: Terje Sten Bjerkseth <[email-masked]>
Date: Sat, 5 Jul 2014 16:20:28 -0700

2014-07-02 21:38 GMT-07:00 David Caldwell <[email-masked]>:

> FWIW, I tried running the emacsformacosx.com version 24.3.92 and the
> nightly from both 2014-06-28 and 2014-06-29 and all are working for me.
> I'm running OS X 10.9 (looks like you are too).
>
> Maybe it's something in your .emacs? Did you do the tests after
> launching Emacs with -Q? On OS X you have to do it from Terminal:
>
>   /Applications/Emacs.app/Contents/MacOS/Emacs -Q
>

Yes, I'm on 10.9.4. Had the same issue on 10.9.3.

I've tried starting Emacs using -Q, same issue.
Also, same issue with a clean environment (env -i bash --noprofile --norc)
and then setting only PATH (system paths), TERM and HOME - with or without
-Q.
Not aware of other particular environment changes.
Will check if I can reproduce on a clean user or in a VM.

The builds from before 2014-05-25 works, all the builds I've tried
after 2014-05-26
hangs on package-refresh-contents.